OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_HalfSpaceSolid Class Reference

`#include <StepShape_HalfSpaceSolid.hxx>`

Inheritance diagram for StepShape_HalfSpaceSolid:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_HalfSpaceSolid ()
| Returns a HalfSpaceSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBaseSurface, const Standard_Boolean aAgreementFlag)
Standard_EXPORT void | SetBaseSurface (const Handle(StepGeom_Surface)&aBaseSurface)
Standard_EXPORT Handle_StepGeom_Surface | BaseSurface () const
Standard_EXPORT void | SetAgreementFlag (const Standard_Boolean aAgreementFlag)
Standard_EXPORT Standard_Boolean | AgreementFlag () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | baseSurface
Standard_Boolean | agreementFlag

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HalfSpaceSolid::StepShape_HalfSpaceSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepShape_HalfSpaceSolid::AgreementFlag | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Surface StepShape_HalfSpaceSolid::BaseSurface | ( |  | ) | const

Standard_EXPORT const StepShape_HalfSpaceSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem. Reimplemented in StepShape_BoxedHalfSpace.

virtual Standard_EXPORT void StepShape_HalfSpaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBaseSurface,
|  | const Standard_Boolean | aAgreementFlag
| ) | `[virtual]`

| Reimplemented in StepShape_BoxedHalfSpace.

virtual Standard_EXPORT void StepShape_HalfSpaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_HalfSpaceSolid::SetAgreementFlag | ( | const Standard_Boolean | aAgreementFlag | ) |

Standard_EXPORT void StepShape_HalfSpaceSolid::SetBaseSurface | ( | const Handle(StepGeom_Surface)& | aBaseSurface | ) |

## Field Documentation

Standard_Boolean StepShape_HalfSpaceSolid::agreementFlag`[private]`

Handle_StepGeom_Surface StepShape_HalfSpaceSolid::baseSurface`[private]`

The documentation for this class was generated from the following file:

- StepShape_HalfSpaceSolid.hxx